# Genetic Algorithm Library

A customizable genetic algorithm library for optimization tasks in Python. This package provides a flexible framework to implement and experiment with different genetic algorithms including strategies for selection, mutation, crossover, and fitness functions.

## Features

- Easy-to-use API for building genetic algorithms.
- Multiple strategies for selection, crossover, mutation, and fitness functions.
- Default implementations for popular strategies and fitness functions.
- Extendable and customizable design for easy adaptation to specific use cases.

## Installation

You can install the library using pip:

```bash
pip install genetic-algorithm-py